
<?php 

/*$objectManager = \Magento\Framework\App\ObjectManager::getInstance(); // instance of object manager

$parentCategoryId = 3; // You have to set website root category id here

$categoryManagement = $objectManager->create('\Magento\Catalog\Api\CategoryManagementInterface');
echo "jjjjjj";
$categoryTree = $categoryManagement->getTree(275);
echo "<pre>";
$tree = $categoryTree->debug();
//print_r($categoryTree['children_data']);die("pppppppppppppppppp");
	print_r($tree['children_data']);die();*/

	/*echo "====".$this->getLayout()
          ->createBlock('Sebwite\Sidebar\Block\Sidebar')
          ->setTemplate('Sebwite_Sidebar::sidebar.phtml')
          ->toHtml();*/
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();

    
    $request = $objectManager->get('Magento\Framework\App\Action\Context')->getRequest();

 if ($request->getFullActionName() == 'catalog_category_view') {
   $category = $objectManager->get('Magento\Framework\Registry')->registry('current_category');//get current category
 }


?>
<style type="text/css">
	.filter-options-item .filter-options-content{
		display: none;
	}
</style>
<?php $_helper = $this->helper('MGS\Ajaxlayernavigation\Helper\Config');?>
<?php if ($block->canShowBlock()): ?>
    <div class="block filter mgs-filter" id="layered-filter-block">
        <div class="block-title filter-title">
            <strong><?php /* @escapeNotVerified */ echo __('Shop By') ?></strong>
        </div>

        <div class="block-content filter-content">
			<div class="block-filter-content">
				<?php echo $block->getChildHtml('state') ?>

				<?php //if ($block->getLayer()->getState()->getFilters()): ?>
				<?php if (false): ?>
					<div class="block-actions filter-actions">
						<a href="<?php /* @escapeNotVerified */ echo $block->getClearUrl() ?>" class="action clear filter-clear"><span><?php /* @escapeNotVerified */ echo __('Clear All') ?></span></a>
					</div>
				<?php endif; ?>
				<?php $wrapOptions = false; ?>
				<?php foreach ($block->getFilters() as $filter): ?>
					
					<?php if (!$wrapOptions): ?>
						
							<dl class="filter-options" id="narrow-by-list">
							<?php $wrapOptions = true; endif; ?>
						<?php if ($filter->getItemsCount()): ?>
							<?php
								if ($filter->getFilterItemsCount()) {
									$itemIds = $filter->getFilterItemsCount();
									$attributteId = $filter->getAttributeModel()->getAttributeId();
									$itemProductIds[$attributteId] = $itemIds[$attributteId];
								}
								
							?>
							<?php 
if ($request->getFullActionName() == 'catalog_category_view') {
							?>
							<?php if(!$category->getData('is_landing')){?>
							<div class="filter-options-item">
									<?php 
									$isPrice = false;
									if($_helper->usePriceSlide()){ 
										$maxPrice = 0;
										$minPrice = 0;

										if ($filter->hasAttributeModel()) {
											$attributeModel = $filter->getAttributeModel();
											if ($attributeModel->getAttributeCode() == 'price') { 
												$isPrice = true;
												$minPrice = $filter->getMinPrice();
												$maxPrice = $filter->getMaxPrice();
											}
										}
									}
									
									
								?>
								<dt role="heading" aria-level="3" class="active">
									<?php if($isPrice) {?>
										<?php if($filter->getMaxPrice() >0){?>
											<div class="filter-options-title"><?php echo __($block->escapeHtml(__($filter->getName()))) ?></div></dt>
										<?php } ?>
									<?php }else{?>
										<div class="filter-options-title"><?php echo __($block->escapeHtml(__($filter->getName()))) ?></div></dt>
									<?php } ?>
									
								<dd class="filter-options-content active"> 
								
								<?php if ($isPrice) : ?>
									<?php if($filter->getMaxPrice() >0):?>
									<div>
										<input type="text" id="price-range-slider" data-from="<?php echo $minPrice ?>" data-to="<?php echo $maxPrice ?>" name="price-range-slider" />
									</div>
									<?php endif; ?>
								<?php else : ?>
									<?php /* @escapeNotVerified */ echo $block->getChildBlock('renderer')->render($filter); ?>
								<?php endif; ?> 
								</dd>
							</div>
						<?php }//here ?>
						<?php }//here ?>
						<?php endif; ?>
				<?php endforeach; ?>
				<?php if ($wrapOptions): ?>
					</dl>
					
				<?php endif; ?>
				
			</div>
        </div>
    </div>
<?php endif; ?>
